apply plugin: 'com.android.application'
apply plugin: 'realm-android'

android {
    signingConfigs {
        release {
            storeFile file('commonkey')
            storePassword 'away6899458'
            keyAlias = 'sz'
            keyPassword 'away6899458'
        }
    }
    compileSdkVersion 27
    defaultConfig {
        applicationId "com.itant.shiwushu"
        minSdkVersion 19
        targetSdkVersion 27
        versionCode 7
        versionName "1.0.7"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    packagingOptions {
        exclude "lib/arm64-v8a/librealm-jni.so"
        exclude "lib/mips/librealm-jni.so"
        exclude "lib/x86/librealm-jni.so"
        exclude "lib/x86_64/librealm-jni.so"
    }

    defaultConfig {
        ndk {
            abiFilters "armeabi", 'armeabi-v7a'
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:27.1.1'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    /*图片选择*/
    compile 'me.iwf.photopicker:PhotoPicker:0.9.12@aar'
    compile 'com.android.support:recyclerview-v7:27.1.1'
    compile 'com.github.bumptech.glide:glide:4.1.1'
    implementation 'com.squareup.okhttp3:okhttp:3.11.0'
    compile 'com.alibaba:fastjson:1.2.51'
    // Rx Java
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.0'
    implementation 'io.reactivex.rxjava2:rxjava:2.2.0'
    implementation 'com.flyco.tablayout:FlycoTabLayout_Lib:2.1.2@aar'
    implementation 'com.android.support:cardview-v7:27.1.1'
    implementation project(':library')
    /*圆形头像*/
    implementation 'de.hdodenhof:circleimageview:2.2.0'
    /*字体对齐*/
    /*compile 'me.codeboy.android:align-text-view:2.3.2'*/
    /*compile 'me.biubiubiu.justifytext:library:1.1'*/
    /*换肤*/
    implementation project(':android-skin-loader-lib')

    // 图片点击可以放大缩小
    compile 'com.github.chrisbanes:PhotoView:1.2.6'
    compile 'com.github.liuguangqiang.swipeback:library:1.0.2@aar'

    compile 'com.umeng.sdk:common:1.5.0'
    compile 'com.umeng.sdk:analytics:7.5.0'
}
